summaryrefslogtreecommitdiffstats
path: root/scripts/test-integration-prepare.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test-integration-prepare.sh')
-rwxr-xr-xscripts/test-integration-prepare.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/test-integration-prepare.sh b/scripts/test-integration-prepare.sh
new file mode 100755
index 0000000..13db143
--- /dev/null
+++ b/scripts/test-integration-prepare.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-3.0-or-later
+set -o errexit -o nounset
+
+cd "${1}"
+
+git submodule update --init --recursive
+make depend &>/dev/null